%define _topdir %(echo `python -c "import sys, os; sys.stdout.write(os.getcwd())"`)
%define _builddir	%{_topdir}/build
%define _buildrootdir	%{_topdir}/buildroot
%define _rpmdir	%{_topdir}/rpm
%define _sourcedir	%{_topdir}/sources
%define _specdir	%{_topdir}
%define _srcrpmdir	%{_topdir}/rpm/src
%define _unpackaged_files_terminate_build 0

Name:		pyload
Version:	0.4.9
Release:	1%{?dist}
Summary:	pyload is a free downloader for 1-click-hoster.
Packager:	mkaay <mkaay@pyload.org>, florianb

Group:		Applications/Internet
License:	GPL
URL:		http://pyload.org
Source0:	http://get.pyload.org/get/src/%{version}
BuildArch:	noarch

BuildRequires:	python,wget
Requires:	python,python-pycurl,python-crypto,python-imaging,tesseract

%description
pyLoad is a free and open source downloader for 1-click-hosting sites like rapidshare.com or uploaded.to. It supports link decrypter as well as all important container formarts. pyLoad is written entirely in Python and currently under heavy development.

%prep
echo preparing...
cd %{_sourcedir}
unzip %{version}.zip
mv pyload %{version}
cd %{_specdir}
cp -R %{_sourcedir}/%{version} %{_builddir}
rm -rf $RPM_BUILD_ROOT
cd %{_builddir}/%{version}
sed -i 's_#!/usr/bin/env python$_#!/usr/bin/env python2_' ./pyLoad*.py
#chown -R root.root .
chmod -R a+rX,g-w,o-w .


%build
echo "building nothing"

%post
getent group download &> /dev/null || groupadd -r pyload > /dev/null
getent passwd pyload &> /dev/null || useradd -r -g download -d /var/lib/pyload -s /sbin/nologin -c pyload pyload > /dev/null
chown -R pyload:download /var/lib/pyload


%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
ln -s /usr/share/pyload/pyLoadCore.py $RPM_BUILD_ROOT/usr/bin/pyLoadCore
ln -s /usr/share/pyload/pyLoadCli.py $RPM_BUILD_ROOT/usr/bin/pyLoadCli
ln -s /usr/share/pyload/pyLoadGui.py $RPM_BUILD_ROOT/usr/bin/pyLoadGui
mkdir -p $RPM_BUILD_ROOT/lib/systemd/system/
cp %{_topdir}/pyload.service $RPM_BUILD_ROOT/lib/systemd/system/pyload.service
mkdir -p $RPM_BUILD_ROOT/var/lib/pyload
cp %{_topdir}/pyload.conf $RPM_BUILD_ROOT/var/lib/pyload/pyload.conf

mkdir -p $RPM_BUILD_ROOT/usr/share/pyload
cp -r %{_builddir}/%{version}/* $RPM_BUILD_ROOT/usr/share/pyload

# create filelist
find $RPM_BUILD_ROOT -type f > %{_builddir}/filelist
find $RPM_BUILD_ROOT -type l >> %{_builddir}/filelist
sed -i 's|'$RPM_BUILD_ROOT'||g' %{_builddir}/filelist
echo $RPM_BUILD_ROOT > %{_builddir}/rpmbuildroot


%clean
rm -rf $RPM_BUILD_ROOT


%files -f filelist


%changelog


